Installation Support for ActivePerl

Installation Problems, Installer content, and FAQs for ActivePerl

Need 5.005 perl

I'm trying to convert a perl script to an executable for distribution. Due to a problem upgrading a program (built in 5.004) I need to install 5.005 (the oldset version perl2exe supports) I can not get the bugs worked out with the newest perl so I'm stuck. Does anyone know if ActivePerl keeps old versions anywhere.

Vista support in ActivePerl 819?

I've got ActivePerl 819, and it says in the release notes that Windows 9x, Me, NT, 2000 (x86), XP and 2003 (x86 and x64) are supported. I was wondering when Vista support will be added.

I've tried installing both the AS package and MSI file on Vista (GA build), and neither will install successfully.

Until support is added, does anyone know of a workaround to install it?

TIA

Install failure Win XP Pro on Pentium D Processor

I tried to install:
ActivePerl-5.8.8.819-MSWin32-x64-267479.msi
and received the following error message immediately:
"This installation package is not supported by this processor type. Contact your vendor."

My system properties are:
"System:
Microsoft Windows XP
Professional
Version 2002
Service Pack 2

Computer:
Intel(R)
Pentium(R) D CPU 3.40GHz
3.40GHz, 2.00 GB of RAM"

I have also tried the .exe installation file. It extracts OK but I get the following error message when I run Installer.bat:
"D:\...\ActivePerl-5.8.8.819-MSWin32-x64-267479\Perl\bin\perl.exe is not a valid Win32 application."

Installation Problem on WinXP Pro

Hello,
when I try to install ActivePerl-5.8.8.819-MSWin32-x86-267479.msi on my Win XP Pro machine I got the following error, that I took a screenshot of:

http://www.kancelarijahatipovic.com/images/perlProb.jpg

What is the problem here?

Regards,
Mirza

Installing ActivePerl 5.8 on Intel Solaris 9

I apologise for the tediousness of this question - I have tried
googling and the ActivePerl website with no luck:

I have previously installed ActivePerl 5.6 on a handful of Sparc
Solaris 9 boxes as follows:

pkgadd -a ActivePerl-5.6.1.638-sun4-solaris.admin -d
ActivePerl-5.6.1.638-sun4-solaris.pkg -r
ActivePerl-5.6.1.638-sun4-solaris.response ASperl

Where the ActivePerl-5.6.1.638-sun4-solaris.admin contained:

instance=unique
partial=nocheck
runlevel=nocheck
idepend=quit
rdepend=quit
space=quit
setuid=nocheck
conflict=nocheck
action=nocheck
basedir=default

ActivePerl 5.8.8.819 install problem

While trying to install the MSI version I get the following error message:

Product: ActivePerl 5.8.8 Build 819 -- Internal Error 2755. 3, I:\Windows\ActivePerl-5.8.8.819-MSWin32-x86-267479.msi
Data:
0000: 7b 38 43 38 43 32 35 30 {8C8C250
0008: 30 2d 33 37 35 36 2d 34 0-3756-4
0010: 43 46 46 2d 38 43 41 44 CFF-8CAD
0018: 2d 45 38 34 30 41 33 36 -E840A36
0020: 41 41 42 38 34 7d AAB84}

and the installer stops. As I was installing through a remote connection to the server, I tried to install it through Add/Remove Software, but that didn't work out either.

The recommended upgrade of the Windows installer for Windows 2000 Server, as indicated on the Activestate site, doesn't make any sense as the version of MSI installed (3.1) is newer then the one provided (2.0).